// Created by ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class CasketWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new CasketWAddonDeed();
			}
		}

		[ Constructable ]
		public CasketWAddon()
		{
			AddComponent( new AddonComponent( 7207 ), 1, 0, 0 );
			AddComponent( new AddonComponent( 7202 ), 1, 1, 0 );
			AddComponent( new AddonComponent( 7205 ), -1, 0, 0 );
			AddComponent( new AddonComponent( 7204 ), -1, 1, 0 );
			AddComponent( new AddonComponent( 7203 ), 0, 1, 0 );
			AddComponent( new AddonComponent( 7206 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7202 );
			AddComponent( ac, 1, 1, 0 );
			ac = new AddonComponent( 7203 );
			AddComponent( ac, 0, 1, 0 );
			ac = new AddonComponent( 7204 );
			AddComponent( ac, -1, 1, 0 );
			ac = new AddonComponent( 7205 );
			AddComponent( ac, -1, 0, 0 );
			ac = new AddonComponent( 7206 );
			AddComponent( ac, 0, 0, 0 );
			ac = new AddonComponent( 7207 );
			AddComponent( ac, 1, 0, 0 );

		}

		public CasketWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class CasketWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new CasketWAddon();
			}
		}

		[Constructable]
		public CasketWAddonDeed()
		{
			Name = "CasketW";
Hue = 2406;
		}

		public CasketWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}